[Israel.pm] SQLite issue

Scott Weisman sweisman at pobox.com
Sun Aug 13 01:22:08 PDT 2006


What versions of SQLite are installed in DBD::SQLite and standalone?
There are some incompatible changes, even in the 3.x versions.

I would find out what version DBD::SQLite uses, and change the command
line version to the same.

The Perl module is not updated as often as the SQLite source is, so
that could be the source of the problem.

Scott

On 8/13/06, Gabor Szabo <szabgab at gmail.com> wrote:
> I am using SQLite in Yapcom.
> When setting up the database I used to use the DBD::SQLite driver.
> It seems to be still working but now if I want to access the same database
> using the sqlite3 command I get an error saying it has invalid format.
> (The Perl driver still seem to be use it)
>
> As I did not like this situation I added a hook to use the sqlite3 command
> to create the database but now the application requires that executable.
>
> I would like to get back to using only DBD::SQlite but make sure it
> is also readbale by sqlite3.
> What could be the problem ?
> The code is here:
>
> http://svn.pti.co.il/svn/yapcom/yapcom/trunk/lib/YAPC/DBI.pm
>
> Gabor
> _______________________________________________
> Perl mailing list
> Perl at perl.org.il
> http://perl.org.il/mailman/listinfo/perl
>


-- 
Democracy is two wolves and a lamb voting on what to have for lunch.
Liberty is a well-armed lamb contesting the vote. - Benjamin Franklin



More information about the Perl mailing list